/*****************************************************************************

AUTOLIV ELECTRONIC document.

-------------------------------------

DUPLICATION or DISCLOSURE PROHIBITED without prior written consent

******************************************************************************


******************************************************************************/
#ifndef _STD_MACROS_H_
#define _STD_MACROS_H_

#include "Fusion_SLAM_types.h"

/*****************************************************************************
STANDARD MACROS
******************************************************************************/
#define STD_MIN(a,b)          (((a)<(b))?(a):(b))
#define STD_MAX(a,b)          (((a)>(b))?(a):(b))
#define STD_ABS(a)            (((a)>=(0))?(a):-(a))
#define STD_LIMIT(x,min,max)  (((x)<=(min))?(min):(((x)>=(max))?(max):(x)))
#define STD_RANGE(x,min,max)  ((((x)>=(min))&&((x)<=(max)))?(TRUE):(FALSE))

/***************************************************************************
Evolution of the component

Created by : E. Kagan

$Log: Std_Macros.h  $

******************************************************************************/

#endif /* _STD_MACROS_H_ */
